--------
DROP TABLE IMRD_F.EN_MRD076_H2_CLASSE CASCADE CONSTRAINTS;

--criando a tabela com a PK ID
CREATE TABLE IMRD_F.EN_MRD076_H2_CLASSE
(
    FSG_3994              VARCHAR2(2048 BYTE),
    FSC_WI_FSG_3996       VARCHAR2(2048 BYTE),
    STA_CD_NM_FSC_0320    VARCHAR2(2048 BYTE),
    FSC_INCL_NAR_0375     VARCHAR2(2048 BYTE),
    FSC_EXCL_NAR_0376     VARCHAR2(2048 BYTE),
    FSC_NOTE_4962         VARCHAR2(2048 BYTE),
    FSC_TI_4970           VARCHAR2(2048 BYTE),
    FSC_DT_E_C_RC_5182    VARCHAR2(2048 BYTE),
    ID                    NUMBER(19),
    PRIMARY KEY(ID)
)
TABLESPACE IMRD_FTBL
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

--criando os sinonimos publicos
CREATE OR REPLACE PUBLIC SYNONYM EN_MRD076_H2_CLASSE FOR IMRD_F.EN_MRD076_H2_CLASSE;

--dropando a sequence
DROP SEQUENCE IMRD_F.SQ_EN_TABL076;
--criando a sequence
CREATE SEQUENCE IMRD_F.SQ_EN_TABL076
  START WITH 1
  MAXVALUE 9999999999999999999999999999
  MINVALUE 0
  NOCYCLE
  NOCACHE
  NOORDER;

--criando indices
CREATE UNIQUE INDEX IDX_EN_MRD076_H2_FSG_FSC ON IMRD_F.EN_MRD076_H2_CLASSE(FSG_3994, FSC_WI_FSG_3996) TABLESPACE IMRD_FTBL;
